Package org.opensaml.saml.common.messaging.soap

# Class SAMLSOAPClientContextBuilder.DefaultTLSCriteriaSetStrategy

java.lang.Object
org.opensaml.saml.common.messaging.soap.SAMLSOAPClientContextBuilder.DefaultTLSCriteriaSetStrategy

All Implemented Interfaces:
  `Function<MessageContext,CriteriaSet>`

Enclosing class:
  SAMLSOAPClientContextBuilder<InboundMessageType extends SAMLObject,OutboundMessageType extends SAMLObject>

public static class SAMLSOAPClientContextBuilder.DefaultTLSCriteriaSetStrategy extends Object implements Function<MessageContext,CriteriaSet>
Default TLS CriteriaSet strategy function.

## Constructor Summary

Constructors
Constructor
Description
`DefaultTLSCriteriaSetStrategy()`

## Method Summary

Modifier and Type
Method
Description
`CriteriaSet`
`apply(MessageContext messageContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### DefaultTLSCriteriaSetStrategy

public DefaultTLSCriteriaSetStrategy()

## Method Details

### apply

@Nullable public CriteriaSet apply(@Nullable MessageContext messageContext)

Specified by:
  `apply` in interface `Function<MessageContext,CriteriaSet>`